The dashboard viewer supports many themes, chosen through the options object from the StiViewerTheme enumeration.

In Angular.
import { Component } from "@angular/core";
import { Viewer, Stimulsoft } from "stimulsoft-dashboards-js-angular/viewer";

@Component({
    imports: [Viewer],
    template: `<sti-viewer [report]="report" [options]="options"></sti-viewer>`
})
export class Example {
    report: Stimulsoft.Report.StiReport;
    options: Stimulsoft.Viewer.StiViewerOptions;

    constructor() {
        this.report = new Stimulsoft.Report.StiReport();
        this.report.loadFile("Dashboards/Dashboard.mrt");

        this.options = new Stimulsoft.Viewer.StiViewerOptions();
        this.options.appearance.theme = Stimulsoft.Viewer.StiViewerTheme.Office2022WhiteViolet;
        this.options.appearance.fullScreenMode = true;
    }
}

How it works. The theme is a viewer option, so one assignment reskins the entire preview.

Используя этот сайт, вы соглашаетесь на использование файлов Cookie для аналитики и персонализированного контента. Файлы Cookie хранят полезную информацию на вашем компьютере, чтобы помочь нам повысить эффективность и удобство использования. Для получения дополнительной информации, пожалуйста, прочтите Конфиденциальность и Использование Cookie.

The dashboard viewer supports many themes, chosen through the options object from the StiViewerTheme enumeration.

In Vue.
<script setup lang="ts">
import { Viewer, Stimulsoft } from 'stimulsoft-dashboards-js-vuejs/viewer'

var report = new Stimulsoft.Report.StiReport();
report.loadFile("Dashboards/Dashboard.mrt");

var options = new Stimulsoft.Viewer.StiViewerOptions();
options.appearance.theme = Stimulsoft.Viewer.StiViewerTheme.Office2022WhiteViolet;
options.appearance.fullScreenMode = true;
</script>

<template>
    <Viewer :report="report" :options="options" />
</template>

How it works. The theme is a viewer option, so one assignment reskins the entire preview.

Используя этот сайт, вы соглашаетесь на использование файлов Cookie для аналитики и персонализированного контента. Файлы Cookie хранят полезную информацию на вашем компьютере, чтобы помочь нам повысить эффективность и удобство использования. Для получения дополнительной информации, пожалуйста, прочтите Конфиденциальность и Использование Cookie.